<?php
include("ServerScriptHelper.php");
include_once("uifc/HtmlComponent.php");

class MyHtmlComponent extends HtmlComponent {
  var $key;
  function setKey(&$key) {
    $this->key = $key;
  }
 
  function toHtml() {
    $page = $this->getPage();
    $i18n = $page->getI18n();
 
    /* touch up users */
    return $this->key;
  }                                                                                     
}

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-ipsec");

$ipsec = $cceClient->getObject("System", array(), "IpsecRSAKey");

$page = $factory->getPage();
 
$block = $factory->getSimpleBlock("ipsecInfo");

$c=new MyHtmlComponent($page);
$c->setKey($ipsec["publicKey"]);

$block->addHtmlComponent($c);

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>
 
<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
