<?php
include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();


$oid=$cceClient->find("IpsecTunnel", array("name"=>$tunnelName));

$obj =  array(
                "enabled" => $tunnelEnabledField,
                "profile" => $rightProfileField,
		"remoteIp" => $rightField,
                "remoteGatewayIp" => $rightNextField,
                "remoteSubnet" => $rightSubnetField,
                "remoteNetmask" => $rightNetmaskField,
                "comments" => $tunnelCommentField,
                "keying" => $keyingField
        );


if($keyingField == "autoRsa"){
	$authKey=$authPubKeyField;
	$encKey="";
	$obj["encKey"]="";
}else if($keyingField == "autoSecret"){
	$authKey=$authSecretKeyField;
	$encKey="";
	$obj["encKey"]="";
}else{
	$authKey=$authKeyField;
	$encKey=$encKeyField;
}

if($authKey != ""){
	$obj["authKey"] = $authKey;
}

if($encKey != ""){
	$obj["encKey"] = $encKey;
}

$cceClient->set($oid[0], "", $obj);
$errors = $cceClient->errors();

print($serverScriptHelper->toHandlerHtml("/base/ipsec/tunnelList.php", $errors));
 
$serverScriptHelper->destructor();
?>
