<?php
include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

if($manualAuthField=="esp"){
	$authValue = $espAuthValueField;
	$replayWindow = $espReplayField;
}else{
        $authValue = $ahAuthValueField;
        $replayWindow = $ahReplayField;
}


$cceClient->create("IpsecProfile", 
	array(
		"name" => $nameField,
		"comments" => $commentsField,
		"enableAutoRsa" => $enableAutoRsaField,
		"enableAutoSecret" => $enableAutoSecretField,
		"enableManual" => $enableManualField,

		"auth"=> $authField,
		"pfs" => $pfsField,
		"keylife" => $keylifeField,
		"rekeymargin" => $rekeymarginField,
		"rekeyfuzz" => $rekeyfuzzField,
		"keyingtries" => $keyingtriesField,
		"ikelifetime" => $ikelifetimeField,

                "manualAuth"=> $manualAuthField,
                "authValue" => $authValue,
                "replayWindow" => $replayWindow
	)
);
$errors = $cceClient->errors();

print($serverScriptHelper->toHandlerHtml("/base/ipsec/profileList.php", $errors));
 
$serverScriptHelper->destructor();
?>
