<?php
include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

if($keyingField == "autoRsa"){
	$authKeyField=$authPubKeyField;
}else if($keyingField == "autoSecret"){
	$authKeyField=$authSecretKeyField;
}else{
	$authKeyField=$authKeyField;
}

$cceClient->create("IpsecTunnel", 
	array(
		"enabled" => $tunnelEnabledField,
		"name" => $tunnelNameField,
		"profile" => $rightProfileField,
		"remoteIp" => $rightField,
		"remoteGatewayIp" => $rightNextField,
		"remoteSubnet" => $rightSubnetField,
		"remoteNetmask" => $rightNetmaskField,
		"comments" => $tunnelCommentField,
		"keying" => $keyingField,
		"authKey" => $authKeyField,
		"encKey" => $encKeyField,
		"spi" => $spi
	)
);
$errors = $cceClient->errors();

print($serverScriptHelper->toHandlerHtml("/base/ipsec/tunnelList.php", $errors));
 
$serverScriptHelper->destructor();
?>
